Project Chrono: chrono::fea::ChLoaderBeamWrench Class Reference

Public Member Functions | List of all members
chrono::fea::ChLoaderBeamWrench Class Reference
Chrono::Engine » Finite Element Analysis

## Description

Atomic wrench.

Loader for a wrench (force+torque) at a specific position of a beam. An atomic load on the beam is a wrench, i.e. force+load applied at a certain abscissa U, that is a six-dimensional load. It is not a distributed load, so inherit it from ChLoaderUatomic.

`#include <ChLoadsBeam.h>`

Inheritance diagram for chrono::fea::ChLoaderBeamWrench:
[legend]
Collaboration diagram for chrono::fea::ChLoaderBeamWrench:
[legend]

## Public Member Functions
| ChLoaderBeamWrench (std::shared_ptr< ChLoadableU > mloadable)
virtual void | ComputeF (double U, ChVectorDynamic<> &F, ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w)
| Evaluate F = F(u) for this line load.
void | SetForce (const ChVector3d &mf)
| Set force (ex. in [N] units).
ChVector3d | GetForce () const
void | SetTorque (const ChVector3d &mt)
| Set torque (ex. in [Nm] units).
ChVector3d | GetTorque () const
Public Member Functions inherited from chrono::ChLoaderUatomic
| ChLoaderUatomic (std::shared_ptr< ChLoadableU > mloadable)
virtual void | ComputeQ (ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w) override
| Compute the generalized load Q = N'*F, using the ComputeF method.
void | SetApplication (double u)
| Set the position, on the surface where the atomic load is applied.
Public Member Functions inherited from chrono::ChLoaderU
| ChLoaderU (std::shared_ptr< ChLoadableU > mloadable)
void | SetLoadable (std::shared_ptr< ChLoadableU > mloadable)
virtual std::shared_ptr< ChLoadable > | GetLoadable () override
std::shared_ptr< ChLoadableU > | GetLoadableU ()
Public Member Functions inherited from chrono::ChLoader
virtual bool | IsStiff ()

## Additional Inherited Members
Public Attributes inherited from chrono::ChLoaderU
std::shared_ptr< ChLoadableU > | loadable
Public Attributes inherited from chrono::ChLoader
ChVectorDynamic | Q

## Member Function Documentation

## ◆ ComputeF()

virtual void chrono::fea::ChLoaderBeamWrench::ComputeF | ( | double | U,
|  | ChVectorDynamic<> & | F,
|  | ChVectorDynamic<> * | state_x,
|  | ChVectorDynamic<> * | state_w )
| inlinevirtual

Evaluate F = F(u) for this line load.

The vector F is set to zero on entry. The function provided by derived classes is called by ComputeQ to perform integration over the domain.

Parameters

  U | parametric coordinate in line
  F | result vector, size = field dim of loadable
  state_x | if != 0, update state (pos. part) to this, then evaluate F
  state_w | if != 0, update state (speed part) to this, then evaluate F

Implements chrono::ChLoaderU.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/fea/ChLoadsBeam.h